This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 21652 - Adding support for ESS1788 AudioDrive
Adding support for ESS1788 AudioDrive
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: sndconfig (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Dale Lovelace
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-03 12:43 EST by Need Real Name
Modified: 2014-03-16 22:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 17:16:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-12-03 12:43:27 EST
The ESS1788 sound chip is supported by the Linux kernel, but is not listed
as supported by Red Hat Linux nor is it recognised by sndconfig (upto
version 0.57), which claims that no plug-and-play sound cards are detected,
and doesn't list it as an option. The options for ESS688, ESS1688 and
ESS1868 don't work properly (MIDI OK, wave files play too slow).

The following /etc/modules.conf file will allow sound to work properly on a
Rock Mentor 520 laptop, which uses the ESS1788. Hope this information is of
some use if you feel like adding support for this device, whether on an
"informal/unsupported but works anyway" basis or otherwise.

alias sound-slot-0 sb
options sound dmabuf=1
alias midi opl3
options opl3 io=0x388
options sb io=0x220 irq=7 dma=1 mpu_io=0x320 esstype=1788
Comment 1 Bill Nottingham 2005-01-21 17:16:31 EST
sndconfig is no longer developed, and this release has reached end-of-life.
Closing out old bugs.

Note You need to log in before you can comment on or make changes to this bug.